Subject: Re: linux-next: manual merge of the btrfs tree with Linus' tree

From: David Sterba <[email-masked]>
Date: Tue, 2 Nov 2021 11:42:44 +0100

On Mon, Nov 01, 2021 at 10:53:41AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the btrfs tree got a conflict in:
> 
>   fs/btrfs/lzo.c
> 
> between commit:
> 
>   ccaa66c8dd27 ("Revert "btrfs: compression: drop kmap/kunmap from lzo"")
> 
> from Linus' tree and commit:
> 
>   d4088803f511 ("btrfs: subpage: make lzo_compress_pages() compatible")
> 
> from the btrfs tree.
> 
> I fixed it up (this may be completely wrong or incomplete :-( - see below)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks, it's a bit different that I did as a proposed conflict
resulution and Linus resolved it in a yet another way. I'll refresh my
for-next branch today to minimize the conflict surface.